@echo off

cls
echo DiskRW2
echo ΝΝΝΝΝΝΝ
echo Create several copies of one source disk using DISKRW

echo.
if %1.==. goto syntax
if exist diskrw.tmp goto fexist

echo press Ctrl-C to abort, any other key to start
pause >nul

cls
echo insert  S O U R C E   D I S K  , then press any key
echo         ΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝ
diskrw %1 diskrw.$$$
if errorlevel 1 goto end

:copy
cls
echo insert  D E S T I N A T I O N   D I S K , then press any key
echo         ΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝΝ
diskrw diskrw.$$$ %1
echo.
echo Press CTRL-C to stop, any other key for one more copy
echo After pressing CTRL-C you should erase the file DISKRW.$$$
pause >nul
goto copy

:syntax
echo Syntax: DiskRW2 drive:
echo Example: DiskRW2 A:
goto end

:fexist
echo There exists already a file with name "DISKRW.$$$".
echo If you do not longer need this please delete it
echo otherwise rename it or change to a different directory
echo before calling DiskRW2
goto end

:end
echo.
